package com.tofly.feesapi.dzfp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.common.core.vo.PageResult;
import com.tofly.feesapi.dzfp.entity.EiFpkjRequest;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequestFilter;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequestTjFilter;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequest_dzfpsq;
import com.tofly.feesapi.dzfp.entity.vo.EiFpkjRequestSelectTj;
import com.tofly.feesapi.dzfp.entity.vo.EiFpkjRequest_Excel;
import com.tofly.feesapi.dzfp.entity.vo.EiFpkjRequest_select;
import com.tofly.feesapi.dzfp.entity.vo.EiFpkjRequest_sum;
import com.tofly.feesapi.sfgl.entity.YySspjxx;
import com.tofly.feesapi.yhgl.entity.YhKhjbxx;

import java.util.List;

public interface EiFpkjRequestService extends IService<EiFpkjRequest> {

    PageResult<EiFpkjRequest_select> getPage(PageDto pageDto, EiFpkjRequestFilter filter);

    PageResult<EiFpkjRequest_select> getSfPage(PageDto pageDto, EiFpkjRequestFilter filter);

    PageResult<EiFpkjRequest_select> getFpPage(PageDto pageDto, EiFpkjRequestFilter filter);

    PageResult<EiFpkjRequest_select> getWsfPage(PageDto pageDto, EiFpkjRequestFilter filter);

    PageResult<EiFpkjRequest_select> getZnjPage(PageDto pageDto, EiFpkjRequestFilter filter);

    List<EiFpkjRequest_Excel> getList(EiFpkjRequestFilter filter);

    List<EiFpkjRequest_sum> getListSum(EiFpkjRequestFilter filter);

    List<EiFpkjRequestSelectTj> getFprkptjList(EiFpkjRequestTjFilter filter);

    boolean dzfpch(EiFpkjRequest eiFpkjRequest);

    String bzkpxxtj(EiFpkjRequest eiFpkjRequest);

    void qtfykp(YhKhjbxx yhKhjbxx, List<YySspjxx> yySspjxxs, String sfkp, String ishbkp);

    boolean dzfpsq(EiFpkjRequest_dzfpsq eifpkjrequest_dzfpsq);
}
